quasardb C API: Data Structures

quasardb C API

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Data Structures
Here are the data structures with brief descriptions:

ArrowArray | Array data description
ArrowArrayStream |
ArrowSchema | Array type description
blob_put_update_t | The required parameters for a blob put or update operations within a batch
int_put_update_t | The required parameters for an integer operation within a batch
qdb_arrow_column_t | Holds a column in Arrow format
qdb_blob_t | A representation of binary data
qdb_const_iterator_t | A read-only iterator on quasardb entries
qdb_const_tag_iterator_t | An iterator to iterate on the entries matching a certain tag
qdb_entry_metadata_t | A structure representing the metadata of an entry in the database
qdb_exp_batch_push_arrow_data_t | Holds the table in Arrow format
qdb_exp_batch_push_arrow_table_t | Data and metadata of a table sent to the server in a batch
qdb_exp_batch_push_column_schema_t | Schema of a column sent to the server in a batch
qdb_exp_batch_push_column_t | Column sent to the server in a batch
qdb_exp_batch_push_table_data_t | Data of a table sent to the server in a batch
qdb_exp_batch_push_table_schema_t | Schema of a table sent to the server in a batch. Indexed by the table and column names given in qdb_exp_batch_push_table_t
qdb_exp_batch_push_table_t | Data and metadata of a table sent to the server in a batch
qdb_id_t | A cluster-wide unique identifier
qdb_operation_t | A single operation containing all parameters to execute the operation in a batch or in a transaction
qdb_perf_measurement_t | A structure representing a performance measurement database
qdb_perf_profile_t | A structure representing a continuous list of performance measurements
qdb_point_result_t | A variadic structure holding the result type as well as the result value
qdb_query_arrow_result_t | Holds the result of a query in Arrow format
qdb_query_experimental_column_t | Holds a column of an experimental query
qdb_query_experimental_result_t | Holds the result of an experimental query
qdb_query_result_t | Holds the result of a query
qdb_remote_node_t | A structure representing the address of a quasardb node
qdb_string_array_t | String array
qdb_string_t | A structure representing a character string of the given length
qdb_timespec_t | A structure representing an elapsed time since epoch (cross-platform equivalent of timespec structure)
qdb_ts_batch_column_info_t | Description of a batch column info
qdb_ts_batch_unchecked_column_info_t | Description of a batch column that will not be checked
qdb_ts_blob_aggregation_t | Aggregation input and result for columns of blobs
qdb_ts_blob_point | A timestamped data with a binary content
qdb_ts_column_info_ex_t | Description of a time series column, perhaps with its symtable
qdb_ts_column_info_t | Description of a time series column
qdb_ts_double_aggregation_t | Aggregation input and result for columns of numeric floating-point values
qdb_ts_double_point | A timestamped data with a double-precision floating-point value
qdb_ts_int64_aggregation_t | Aggregation input and result for columns of numeric integer values
qdb_ts_int64_point | A timestamped data with a signed 64-bit integer value
qdb_ts_range_t | Time interval
qdb_ts_string_aggregation_t | Aggregation input and result for columns of strings
qdb_ts_string_point | A timestamped data with a string content
qdb_ts_timestamp_aggregation_t | Aggregation input and result for columns of timestamp values
qdb_ts_timestamp_point | A timestamped data with a signed 64-bit integer value